/* Copyright (c) 1999 Christopher Y. Wong
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */

/*
changes by Steve Weyer. <weyer@kagi.com>
17-Jan-2002
size fixes (for smaller Zaurus screen)
  DocReaderView.init, BookmarkView.init, SearchView.init: setSize
avoid deprecation warnings from newer JDK:
  BookmarkView.update: List.add instead of List.addItem
  ViewBounds.setBounds, TextWidget.setFont: Component.getFontMetrics instead of Toolkit

21-Jan-2002
DocReaderView.init: changed author, version info; use "x" (instead of Quit)
DocReaderCtrl: uses FilenameFilter
  PrefsView adds ram, cf, sd dir buttons, fontName/Size lists

?? Scroller sometimes hangs
?? other font names not supported
?? use TextArea (what text len supported) instead of TextWidget
*/

import java.text.*;
import java.io.*;

public class DocReader
{
  static public void main(String args[])
  {
     String path = null;
     String font = null;
     int fontSize = 0;
     for (int i=0; i<args.length; i++) {
	if (args[i].equals("-s") && i < args.length-1) { // -s font size
	   try {
	      fontSize = Integer.parseInt(args[++i]);
	   } catch (NumberFormatException ne) {}
	} else if (args[i].equals("-f") && i < args.length-1) {
	   font = args[++i]; // -f font name
	} else if (i == args.length-1)
	   path = args[i]; // final arg assumed to be filename
     }

     Config.init(font, fontSize);
     (new DocReaderCtrl()).run(path);
  }
}
